aboutsummaryrefslogtreecommitdiff
path: root/paludis/vdb_repository_TEST_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/vdb_repository_TEST_setup.sh')
-rwxr-xr-xpaludis/vdb_repository_TEST_setup.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/paludis/vdb_repository_TEST_setup.sh b/paludis/vdb_repository_TEST_setup.sh
index 8f3caea..e88a3f3 100755
--- a/paludis/vdb_repository_TEST_setup.sh
+++ b/paludis/vdb_repository_TEST_setup.sh
@@ -1,7 +1,17 @@
#!/bin/sh
# vim: set ft=sh sw=4 sts=4 et :
-mkdir vdb_repository_TEST_dir || exit 1
+mkdir -p vdb_repository_TEST_dir || exit 1
cd vdb_repository_TEST_dir || exit 1
mkdir -p repo1/cat-{one/{pkg-one-1,pkg-both-1},two/{pkg-two-2,pkg-both-2}} || exit 1
+
+for i in SLOT EAPI; do
+ echo "0" >repo1/cat-one/pkg-one-1/${i}
+done
+
+for i in DEPEND RDEPEND LICENSE INHERITED IUSE PDEPEND PROVIDE; do
+ touch repo1/cat-one/pkg-one-1/${i}
+done
+
+echo "flag1 flag2" >>repo1/cat-one/pkg-one-1/USE